summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEldad Zack <eldad@gentoo.org>2004-07-25 15:25:25 +0000
committerEldad Zack <eldad@gentoo.org>2004-07-25 15:25:25 +0000
commitadb722ff1f58abb3c676aa2332385472d3d01386 (patch)
tree627da84caf0dcee596b90393115691f9532c913c /net-analyzer/ipcad/files
parentVersion bump. Added sqlite support. Closes #54069. (diff)
downloadhistorical-adb722ff1f58abb3c676aa2332385472d3d01386.tar.gz
historical-adb722ff1f58abb3c676aa2332385472d3d01386.tar.bz2
historical-adb722ff1f58abb3c676aa2332385472d3d01386.zip
initial ebuild
Diffstat (limited to 'net-analyzer/ipcad/files')
-rw-r--r--net-analyzer/ipcad/files/digest-ipcad-3.6.21
-rw-r--r--net-analyzer/ipcad/files/ipcad.conf.d5
-rw-r--r--net-analyzer/ipcad/files/ipcad.init30
3 files changed, 36 insertions, 0 deletions
diff --git a/net-analyzer/ipcad/files/digest-ipcad-3.6.2 b/net-analyzer/ipcad/files/digest-ipcad-3.6.2
new file mode 100644
index 000000000000..ae4686de3553
--- /dev/null
+++ b/net-analyzer/ipcad/files/digest-ipcad-3.6.2
@@ -0,0 +1 @@
+MD5 93d60ec7f33017175ee22206ff3009d5 ipcad-3.6.2.tar.gz 166082
diff --git a/net-analyzer/ipcad/files/ipcad.conf.d b/net-analyzer/ipcad/files/ipcad.conf.d
new file mode 100644
index 000000000000..c75d7635061e
--- /dev/null
+++ b/net-analyzer/ipcad/files/ipcad.conf.d
@@ -0,0 +1,5 @@
+# Config file for /etc/init.d/pptpd
+
+# Any extra options you want to pass to pptpd
+# on start-up should be put here.
+IPCAD_OPTS="-drs"
diff --git a/net-analyzer/ipcad/files/ipcad.init b/net-analyzer/ipcad/files/ipcad.init
new file mode 100644
index 000000000000..547fe5d07253
--- /dev/null
+++ b/net-analyzer/ipcad/files/ipcad.init
@@ -0,0 +1,30 @@
+#!/sbin/runscript
+
+depend() {
+ need net
+}
+
+checkconfig() {
+ if [ ! -f /etc/ipcad.conf ] ; then
+ eerror "No /etc/ipcad.conf file exists!"
+ return 1
+ fi
+
+ return 0
+}
+
+start() {
+ # Comment out the following line to get faster startups
+ checkconfig || return 1
+
+ ebegin "Starting ipcad"
+ start-stop-daemon --start --quiet --exec /usr/sbin/ipcad -- ${IPCAD_OPTS} >/dev/null
+ eend $?
+}
+
+stop () {
+ ebegin "Stopping ipcad"
+ start-stop-daemon --stop --quiet \
+ --pidfile=/var/ipcad/run/ipcad.pid --retry 20
+ eend $?
+}